
GammaLib - Bug #1549

Spectral parameters for diffuse map are biased

10/13/2015 04:22 PM - Knödlseder Jürgen

Status: Closed Start date: 10/13/2015

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

The Prefactor and Index parameters for a diffuse map are biased. This can be seen in the following pull histograms:

The model simulated here was the Cen A map with a Crab spectrum:

<?xml version="1.0" standalone="no"?>

<source_library title="source library">

  <source name="Crab" type="DiffuseSource">

    <spectrum type="PowerLaw">

      <parameter name="Prefactor" scale="1e-16" value="5.7"  min="1e-07" max="1000.0" free="1"/>

      <parameter name="Index"     scale="-1"    value="2.48" min="0.0"   max="+5.0"   free="1"/>

      <parameter name="Scale"     scale="1e6"   value="0.3"  min="0.01"  max="1000.0" free="0"/>

    </spectrum>

    <spatialModel type="SpatialMap" file="cena_lobes_parkes.fits">

       <parameter scale="1" name="Prefactor" min="0.001" max="1000.0" value="1" free="0"/>

    </spatialModel>

  </source>

  <source name="Background" type="CTAIrfBackground" instrument="CTA">

    <spectrum type="PowerLaw">

      <parameter name="Prefactor" scale="1.0" value="1.0" min="1e-3" max="1e3"    free="1"/>

      <parameter name="Index"     scale="1.0" value="0.0" min="-5.0" max="+5.0"   free="1"/>

      <parameter name="Scale"     scale="1e6" value="1.0" min="0.01" max="1000.0" free="0"/>

    </spectrum>

  </source>

</source_library>

This bug is possible related to #1248.

Related issues:

Related to ctools - Bug # 1248: CTA simulation of molecular cloud does not re... Closed 07/08/2014

History

#1 - 10/13/2015 04:29 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- Target version set to 1.0.0

#2 - 10/14/2015 10:00 AM - Knödlseder Jürgen

- Description updated

#3 - 10/14/2015 10:16 AM - Knödlseder Jürgen

- % Done changed from 0 to 10

04/23/2024 1/2



The mean prefactor is 5.635348e-16 which presents a -1.1% offset with respect to the nominal value. The mean index is 2.474517 which presents a

-0.2% offset with respect to the nominal value.

The Monte Carlo simulations of diffuse models rely on the GSkyMap::flux() method and specifically its precision. The flux computation has a precision

of about 1%, hence the observed bias is fully compatible with that precision. It is thus plausible that the diffuse map computation is in fact correct and

that the observed bias is due to the limited accuracy of the GSkyMap::flux() method.

#4 - 10/14/2015 10:44 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 10 to 100

This issue can now also be closed. Improvement can only be achieved by improving the accuracy of the GSkyMap::flux() method.
